static PyObject *
_wrap_glade_xml_get_type(PyObject *self, PyObject *args)
{
    if (!PyArg_ParseTuple(args, ":glade_xml_get_type"))
        return NULL;
    return PyInt_FromLong(glade_xml_get_type());
}

static PyObject *
_wrap_glade_xml_new(PyObject *self, PyObject *args)
{
    char *filename, *rooot;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "sz:glade_xml_new", &filename, &rooot))
        return NULL;
    ret = (GtkObject *) glade_xml_new(filename, rooot);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

static PyObject *
_wrap_glade_xml_new_with_domain(PyObject *self, PyObject *args)
{
    char *filename, *root, *domain;
    GtkObject *ret;

    if (!PyArg_ParseTuple(args, "szz:glade_xml_new_with_domain", &filename, &root, &domain))
        return NULL;
    ret = (GtkObject *) glade_xml_new_with_domain(filename, root, domain);
    if (ret)
        return PyGtk_New(ret);
    Py_INCREF(Py_None);
    return Py_None;
}

